FreeHandParserInternal::StyleHeader Struct Reference documentation

FreeHandParserInternal::StyleHeader Struct Reference

small structure of FreeHandParserInternal used to stored a style header More...

## Public Member Functions
| StyleHeader ()
| constructor

## Public Attributes
long | m_size
| a field related to the zone size
int | m_type
| the zone type
int | m_labelId
| the label id
MWAWVariable< ScreenMode > | m_screen
| the screen mode
int | m_unknownValue
| the first unknown value
std::string | m_extra
| extra data

## Friends
std::ostream & | operator<< (std::ostream &o, StyleHeader const &style)
| operator<<

## Detailed Description

small structure of FreeHandParserInternal used to stored a style header

## Constructor & Destructor Documentation

## ◆ StyleHeader()

FreeHandParserInternal::StyleHeader::StyleHeader | ( |  | ) |
| inline

constructor

Referenced by operator<<.

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | StyleHeader const & | style )
| friend

operator<<

## Member Data Documentation

## ◆ m_extra

std::string FreeHandParserInternal::StyleHeader::m_extra

extra data

Referenced by operator<<, and StyleHeader().

## ◆ m_labelId

int FreeHandParserInternal::StyleHeader::m_labelId

the label id

Referenced by operator<<, FreeHandParser::readStyleHeader(), and StyleHeader().

## ◆ m_screen

MWAWVariable<ScreenMode> FreeHandParserInternal::StyleHeader::m_screen

the screen mode

Referenced by operator<<, FreeHandParser::readStyleHeader(), and StyleHeader().

## ◆ m_size

long FreeHandParserInternal::StyleHeader::m_size

a field related to the zone size

Referenced by FreeHandParser::readColor(), FreeHandParser::readDash(), FreeHandParser::readFillStyle(), FreeHandParser::readLineStyle(), FreeHandParser::readPostscriptStyle(), FreeHandParser::readStyleHeader(), and StyleHeader().

## ◆ m_type

int FreeHandParserInternal::StyleHeader::m_type

the zone type

Referenced by FreeHandParser::readColor(), FreeHandParser::readDash(), FreeHandParser::readFillStyle(), FreeHandParser::readLineStyle(), FreeHandParser::readPostscriptStyle(), FreeHandParser::readStyleHeader(), and StyleHeader().

## ◆ m_unknownValue

int FreeHandParserInternal::StyleHeader::m_unknownValue

the first unknown value

Referenced by operator<<, FreeHandParser::readStyleHeader(), and StyleHeader().

The documentation for this struct was generated from the following file:

- FreeHandParser.cxx